[entryPoints]
  [entryPoints.web]
    address = ":80"
    [entryPoints.web.http.redirections.entryPoint]
          to = "websecure"
          scheme = "https"

  [entryPoints.websecure]
    address = ":443"

  [entryPoints.traefik]
    address = ":8080"

[log]
  level = "DEBUG"
  filePath = "/var/log/traefik.log"
[accessLog]
  filePath = "/var/log/access.log"

# Enable API and dashboard
[api]
  insecure = true
  dashboard = true
[ping]
  entryPoint = "traefik"

# Enable Docker configuration backend
[providers.docker]
  exposedByDefault = false
  network = "proxy_traefik"

[acme]
  onDemand = false
  onHostRule = true

[certificatesResolvers.myresolver.acme]
  storage = "/etc/traefik/acme/acme.json"
  [certificatesResolvers.myresolver.acme.httpChallenge]
     entryPoint = "web"